ru.bitel.oss.systems.inventory.resource.server.bean

## Class DeviceTypeDao<T extends DeviceType>

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<T>
    - - ru.bitel.oss.systems.inventory.resource.server.bean.DeviceTypeDao<T>

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.bgbilling.kernel.directory.api.common.Directory<T>
  Direct Known Subclasses:
    InetDeviceTypeDao, TvDeviceTypeDao

      public abstract class DeviceTypeDao<T extends DeviceType>
      extends ru.bitel.common.dao.AbstractIdDao<T>
      implements ru.bitel.bgbilling.kernel.directory.api.common.Directory<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceTypeDao(java.sql.Connection con, int mid, java.lang.String tableName)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateConfig(int deviceTypeId, int id)`
    `T` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `java.util.List<T>` | `list()` Получение всего списка элементов из справочника
    `protected abstract T` | `newDeviceType()`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getFromRS, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update, updateImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### DeviceTypeDao

          public DeviceTypeDao(java.sql.Connection con,
                               int mid,
                               java.lang.String tableName)

  - ### Method Detail

    - #### get

          public T get(java.lang.String title)
                throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<T extends DeviceType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<T> list()
                                 throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<T extends DeviceType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### activateConfig

          public void activateConfig(int deviceTypeId,
                                     int id)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### newDeviceType

          protected abstract T newDeviceType()